NANOOK(1)

NAME
nanook - flexible, multi-reference software for pre- and post-alignment analysis of nanopore sequencing data, quality and error profiles

SYNOPSIS
nanook <extract|align|analyse|compare|process> [options]

DESCRIPTION
 NanoOK (pronounced na-nook) is a tool for extraction, alignment and
 analysis of Nanopore reads. NanoOK will extract reads as FASTA or FASTQ
 files, align them (with a choice of alignment tools), then generate a
 comprehensive multi-page PDF report containing yield, accuracy and
 quality analysis. Along the way, it generates plain text files which can
 be used for further analysis, as well as graphs suitable for inclusion
 in presentations and papers.

OPTIONS

  extract options:

-s|-sample <dir> specifies sample directory

-f|-reads specifies alternative dir for FAST5 files (default fast5)

    Can be absolute (beginning with /) or relative e.g. -f reads/downloads if replicating Metrichor file structure

-a|-fasta specifies FASTA file extraction (default)

-q|-fastq specifies FASTQ file extraction

-basecallindex specifies the index of the analysis (default: latest)

-mergereads to generate merged FASTA files in addition to single read files

-minquality <value> to set the minimum quality for a 'pass' read

  align options:

-s|-sample <dir> specifies sample directory

-r|-reference <path> specifies path to reference database

-aligner <name> specifies the aligner (default last)

-alignerparams <params> specifies parameters to the aligner

-showaligns echoes aligner commands to screen

  analyse options:

-s|-sample <dir> specifies sample directory

-r|-reference <path> specifies path to reference database

-aligner <name> specifies the aligner (default last)

-coveragebin <int> specifies coverage bin size (default 100)

-bitmaps to output bitmap PNG graphs instead of PDF

  compare options:

-l|-samplelist <file> specifies a sample list file

-o|-outputdir <directory> specifies an output directory

-type <2d|template|complement> specifies an output directory

  process options:

-process <file> specifies a process file

  Read type options:

-passonly to analyse only pass reads

-failonly to analyse only fail reads

-2donly to analyse only 2D reads

-templateonly to analyse just Template reads

-complementonly to analyse just Complement reads

  Other options:

-t|-numthreads <number> specifies the number of threads to use (default 1)

-log <filename> enables debug logging to file

-force to force NanoOK to ignore warnings

-timeout to set the number of seconds before giving up waiting for new reads (default 2)

Valid aligners: last, bwa, blasr, marginalign, graphmap

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.